<h1>Request for <%= @request.customer_name %></h1>

<p>
  <label class="bold">Name:</label>
  <%= @request.customer_name %>
</p>
<p>
  <label class="bold">Email:</label>
  <%= @request.email %>
</p>
<p>
  <label class="bold">Phone:</label>
  <%= @request.phone %>
</p>
<p>
  <label class="bold">Address 1:</label>
  <%= @request.customer_address1 %>
</p>
<p>
  <label class="bold">Address 2:</label>
  <%= @request.customer_address2 %>
</p>
<p>
  <label class="bold">Suburb:</label>
  <%= @request.customer_suburb %>
</p>
<p>
  <label class="bold">Postcode:</label>
  <%= @request.customer_postcode %>
</p>
<p>
  <label class="bold">City:</label>
  <%= @request.customer_city %>
</p>
<p>
  <label class="bold">ICP:</label>
  <%= @request.customer_icp %>
</p>

<p>
  <% if !@request.admin_confirm %>
    <%= button_to "Confirm Valid ICP", request_confirm_path(request_id: @request.id, admin_confirm: true), method: :post %>
  <% else %>
    <%= button_to "Revoke ICP Confirmation", request_confirm_path(request_id: @request.id, admin_confirm: false), method: :post %>
  <% end %>
</p>

<h2>Known ICPs</h2>

<table>
  <tr>
    <th>ICP</th>
    <th>Address 1</th>
    <th>Address 2</th>
    <th>Suburb</th>
    <th>City</th>
  </tr>

  <% @icp_records.each do |icp_record| %>
    <tr>
      <td><%= icp_record.ICP %></td>
      <td><%= icp_record.address1 %></td>
      <td><%= icp_record.address2 %></td>
      <td><%= icp_record.suburb %></td>
      <td><%= icp_record.city %></td>
    </tr>
  <% end %>
</table>

<%= render 'shared/nav' %>